ID3
===

.. automodule:: mutagen.id3


ID3 Frames
----------

.. toctree::
    :titlesonly:

    id3_frames

.. autoclass:: mutagen.id3.ID3v1SaveOptions
    :members:
    :member-order: bysource

.. autoclass:: mutagen.id3.PictureType
    :members:
    :member-order: bysource

.. autoclass:: mutagen.id3.Encoding
    :members:
    :member-order: bysource

.. autoclass:: mutagen.id3.CTOCFlags
    :members:
    :member-order: bysource


ID3
---

.. autoclass:: mutagen.id3.ID3Tags
    :show-inheritance:
    :members:
    :exclude-members: loaded_frame

.. autoclass:: mutagen.id3.ID3
    :show-inheritance:
    :members:

.. autoclass:: mutagen.id3.ID3FileType
    :members:
    :exclude-members: ID3


EasyID3
-------

.. automodule:: mutagen.easyid3

.. autoclass:: mutagen.easyid3.EasyID3
    :show-inheritance:
    :members:

.. autoclass:: mutagen.easyid3.EasyID3FileType
    :show-inheritance:
    :members:
    :exclude-members: ID3
